# Crow: crow::detail::partial_context< Middlewares > Struct Template Reference

crow::detail::partial_context< Middlewares > Struct Template Reference
Inheritance diagram for crow::detail::partial_context< Middlewares >:

## Public Types

using | parent_context = typename black_magic::pop_back< Middlewares... >::template rebind<::crow::detail::partial_context >
template<int N>
using | partial = typename std::conditional< N==sizeof...(Middlewares) - 1, partial_context, typename parent_context::template partial< N > >::type

## Public Member Functions

template<typename T >
T::context & | get ()

The documentation for this struct was generated from the following file:

- include/crow/middleware_context.h